=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-bluez-qt
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -10,7 +11,7 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
                libxkbcommon-dev,
                pkgconf,
                qml6-module-qtqml-workerscript <!nocheck>,
@@ -24,8 +25,8 @@
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/bluez-qt
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-bluez-qt.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-bluez-qt
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-bluez-qt
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-bluez-qt
 Rules-Requires-Root: no
 
 Package: libkf6bluezqt-data
