=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                cmake (>= 3.16~),
                dbus-x11 <!nocheck>,
                doxygen,
-               extra-cmake-modules (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
                libxkbcommon-dev,
                pkgconf,
                qml6-module-qtqml-workerscript <!nocheck>,
